/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fr.amap.lidar.amapvox.voxelisation.als;

import fr.amap.lidar.amapvox.commons.VoxelSpaceInfos;
import fr.amap.lidar.amapvox.util.AVoxTask;
import fr.amap.lidar.amapvox.voxelisation.Voxelization;
import fr.amap.lidar.amapvox.voxelisation.configuration.ALSVoxCfg;
import java.io.File;

/**
 *
 * @author pverley
 */
public class AlsShotVoxelisation extends AVoxTask {
    
    private final ALSVoxCfg cfg;

    public AlsShotVoxelisation(File file, int ncpu) {
        super(file, ncpu);
        cfg = new ALSVoxCfg();
    }

    @Override
    public String getName() {
        return "ALS voxelisation";
    }

    @Override
    public void init() throws Exception {

        cfg.readConfiguration(file);
        cfg.getVoxelParameters().infos.setType(VoxelSpaceInfos.Type.ALS);
    }

    @Override
    public File[] call() throws Exception {
        return new Voxelization(cfg).voxelization(new AlsShotReader(cfg.getInputFile()));
    }
    
}
